package com.xzzn.ems.mapper;

import java.util.List;
import com.xzzn.ems.domain.EmsCoolingData;

/**
 * 冷却系统参数Mapper接口
 *
 * @author xzzn
 * @date 2025-06-25
 */
public interface EmsCoolingDataMapper
{
    /**
     * 查询冷却系统参数
     *
     * @param id 冷却系统参数主键
     * @return 冷却系统参数
     */
    public EmsCoolingData selectEmsCoolingDataById(Long id);

    /**
     * 查询冷却系统参数列表
     *
     * @param emsCoolingData 冷却系统参数
     * @return 冷却系统参数集合
     */
    public List<EmsCoolingData> selectEmsCoolingDataList(EmsCoolingData emsCoolingData);

    /**
     * 新增冷却系统参数
     *
     * @param emsCoolingData 冷却系统参数
     * @return 结果
     */
    public int insertEmsCoolingData(EmsCoolingData emsCoolingData);

    /**
     * 修改冷却系统参数
     *
     * @param emsCoolingData 冷却系统参数
     * @return 结果
     */
    public int updateEmsCoolingData(EmsCoolingData emsCoolingData);

    /**
     * 删除冷却系统参数
     *
     * @param id 冷却系统参数主键
     * @return 结果
     */
    public int deleteEmsCoolingDataById(Long id);

    /**
     * 批量删除冷却系统参数
     *
     * @param ids 需要删除的数据主键集合
     * @return 结果
     */
    public int deleteEmsCoolingDataByIds(Long[] ids);

    /**
     * 获取液冷数据
     * @param siteId
     * @return
     */
    public List<EmsCoolingData> getCoolingDataList(String siteId);
}
